[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#334498: Dependencies problems

severity 334498 serious
retitle 334498 missing dependency on libx11-6
close 334498 6.8.2.dfsg.1-1

On Tue, Oct 18, 2005 at 12:21:25 +0200, Nicolas Baradakis wrote:

> Package: xnest
> Version: 4.3.0.dfsg.1-14sarge1
> Severity: minor
> Tags: sarge
> Please add "libx11-6" package to the list of dependencies of "xnest",
> otherwise Xnest won't even start.
There indeed is something wrong with xnest's dependencies in sarge:
$ objdump -p /usr/bin/X11/Xnest |grep NEEDED
  NEEDED      libfreetype.so.6
  NEEDED      libXext.so.6
  NEEDED      libX11.so.6
  NEEDED      libz.so.1
  NEEDED      libm.so.6
  NEEDED      libc.so.6
$ dpkg -s xnest|grep Depends
Depends: xfree86-common, xserver-common, libc6 (>= 2.3.2.ds1-21), libfreetype6 (>= 2.1.5-1), libxext6 | xlibs (>> 4.1.0), zlib1g (>= 1:1.2.1)

However, this is fixed in the latest versions, so I'm tagging this bug
as closed.  I don't know if this warrants an update in stable, since
you're the only one who reported it so far.


Attachment: signature.asc
Description: Digital signature

Reply to: